List participant tiers
curl --request GET \
--url https://api.scrip.dev/v1/participants/{id}/state/tiers \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scrip.dev/v1/participants/{id}/state/tiers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scrip.dev/v1/participants/{id}/state/tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"acquired_at": "2024-06-01T00:00:00Z",
"benefits": {},
"expires_at": "2025-06-01T00:00:00Z",
"key": "status",
"level": "gold",
"rank": 2
}
]
}{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "internal_error",
"message": "An internal error occurred"
}State
List participant tiers
Returns the participant’s tier levels for a program. The program_id query parameter is required.
GET
/
v1
/
participants
/
{id}
/
state
/
tiers
List participant tiers
Returns a participant’s current tier levels for a program. The
program_id query parameter is required. The participant must be enrolled in the specified program.
Each entry in the data array represents the participant’s standing in one tier, including their current level, rank, any benefits granted by that level, and timestamps for acquired_at and expires_at.
For usage patterns and examples, see the Tiers guide.
Authorizations
ApiKeyAuthBearerAuth
API key passed in the X-API-Key header.
Path Parameters
Participant ID
Query Parameters
Program ID to scope the tier lookup
Response
List of participant tier states
List of participant tier states
Show child attributes
Show child attributes
⌘I